# Class Person.Builder

java.lang.Object
com.ryanharter.auto.value.gson.example.Person.Builder

Enclosing class:
  `Person`

public abstract static class Person.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`abstract Person.Builder`
`address(Address address)`
`abstract Person.Builder`
`age(int age)`
`abstract Person`
`autoBuild()`
`abstract Person.Builder`
`birthdate(Date birthdate)`
`Person`
`build()`
`abstract Person.Builder`
`gender(int gender)`
`abstract Person.Builder`
`name(String name)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### name

public abstract Person.Builder name(String name)

### gender

public abstract Person.Builder gender(int gender)

### age

public abstract Person.Builder age(int age)

### birthdate

public abstract Person.Builder birthdate(Date birthdate)

### address

public abstract Person.Builder address(Address address)

### autoBuild

public abstract Person autoBuild()

### build

public Person build()